/**
@author   Cody Johnson
@email    cody.ele@noritake.com (Feel free to ask questions)
@website  noritake-elec.com
@version  v1.1 (ME-N58-1)
@ide      IAR
@brief    I2C library for STM32F4xx and Noritake GT-CP Series Modules

@vertatim
Provide the I2C interface between STM32F4Discovery and Noritake GT-CP modules.
This library uses the STM32F4Discovery library functions from stm32f4xx_i2c.
@endverbatim
*/

#ifndef GTCP_I2C_H
#define GTCP_I2C_H

#include "stm32f4xx.h"
#include "stm32f4xx_i2c.h"

extern int interface;

//void Delay2(__IO uint32_t time);
//Function Prototypes
void GTCP_I2C_Init(uint8_t address);
int GTCP_I2C_Start(uint8_t direction);
uint8_t GTCP_I2C_SingleReadAck();
uint8_t GTCP_I2C_ReadAck();
uint8_t GTCP_I2C_SingleReadNack();
uint8_t GTCP_I2C_ReadNack();
void GTCP_I2C_MultiRead(uint8_t* data, int count);
char *GTCP_I2C_MultiReadTRDY();
void GTCP_I2C_Write(uint8_t data);
void GTCP_I2C_MultiWrite(uint8_t* data);
void GTCP_I2C_Stop();

#endif